<?php
//user.php
include('db_con.php');
include('function.php');
if (isset($_SESSION['user_id'])) {
		$user_type = $_SESSION['user_type'];
		$user_id = $_SESSION['user_id'];
		$user_name = $_SESSION['user_name'];
		$branch_id = $_SESSION['branch_id'];
		$branch_name = $_SESSION['branch_name'];
		$store_id = $_SESSION['store_id'];
    $store_name = $_SESSION['store_name'];
}else{
	header('Location: login');
	die();
}
$sql = "SELECT doc_status FROM user_rights WHERE user_id = '".$user_id."' and doc_name = 'return_retail'";
            $statement = $connect->prepare($sql);
            $statement->execute(); // no need to add `$sql` here, you can take that out
            $return_retail =$statement->fetchColumn();
            if($return_retail=='OFF'){header('Location: dashboard');}
$sql = "SELECT doc_status FROM user_rights WHERE user_id = '".$user_id."' and doc_name = 'return_retail_new'";
            $statement = $connect->prepare($sql);
            $statement->execute(); // no need to add `$sql` here, you can take that out
            $return_retail_new =$statement->fetchColumn();
            $sql = "SELECT doc_status FROM user_rights WHERE user_id = '".$user_id."' and doc_name = 'return_retail_edit'";
            $statement = $connect->prepare($sql);
            $statement->execute(); // no need to add `$sql` here, you can take that out
            $return_retail_edit =$statement->fetchColumn();
		             
	    	 $sql = "SELECT doc_status FROM user_rights WHERE user_id = '".$user_id."' and doc_name = 'return_retail_delete'";
		    $statement = $connect->prepare($sql);
		     $statement->execute(); // no need to add `$sql` here, you can take that out
		     $return_retail_delete =$statement->fetchColumn();
		     	 $sql = "SELECT doc_status FROM user_rights WHERE user_id = '".$user_id."' and doc_name = 'return_retail_print'";
		    $statement = $connect->prepare($sql);
		     $statement->execute(); // no need to add `$sql` here, you can take that out
		     $return_retail_print =$statement->fetchColumn();
//if(!isset($_SESSION["type"]))
//{
//	header('location:login');
//}
//if($_SESSION["type"] != 'master')
//{
//	header("location:index.php");
//}
$acc_name = '';
$dated = date('Y-m-d');
?>
<!DOCTYPE html>
<html>
<head>
	<title><?php echo basename(__FILE__, '.php'); ?></title>
  <?php include('include/head.php'); ?>
  
</head>
<body>
  <?php include('include/header.php'); ?>
  <?php include('include/sidebar.php'); ?>
<div class="main-container">
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark"></h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Accounts Receivable</a></li>
              <li class="breadcrumb-item active">Cash Sale Return Invoices </li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->
    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
     <span id="alert_action"></span>
    <div class="row">
        <div class="col-12">
          <div class="card">
            <div class="card-header">
            <div class="row">
                          <div class="col-lg-10 col-md-10 col-sm-8 col-xs-6">
                              <h3 class="panel-title text-primary" >Cash Sale Return</h3>
                            </div>
                            <div class="col-lg-2 col-md-2 col-sm-4 col-xs-6" align="right">
                            	<?php if($return_retail_new=='ON')
                            	{
                              echo '<a href="csr_new?add=1" class="btn btn-primary"><i class="fa fa-plus"></i> add New</a>';
                          }?>
                            
                          </div>
                        </div>
            </div>
            <!-- /.card-header -->
            <div class="card-body">
              
                        <table width="100%" id="_dataTable" class="table table-bordered table-striped table-hover">
                          <thead>
									<tr>
										<th width="5%">ID.</th>
										<th width="12%">Date</th>
										<th width="5%">Inv_No.</th>
										<th width="15%">Customer</th>
										<th width="15%">Created</th>
										<th width="10%">Contact</th>
										
										<th width="15%">Amount</th>																	
										<th width="17%">Print A7-A5</th>
										
										<?php if($return_retail_edit=='ON')
										{
											echo '<th width="5%">Edit</th>';
										}
										?>
										<?php if($return_retail_delete=='ON'){
											echo '<th width="5%">Delete</th>';
										}?>
										
									</tr>
								</thead>
                   			</table>
                   		   </div>
              </div>
          </div>
      </div>
             
        
        
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
 
  <!-- /.content-wrapper -->
 
    </div>
    </div>
  <?php include('include/script.php'); ?>
  
</body>
</html>
       
<script>
$(document).ready(function(){
	
	var _dataTable = $('#_dataTable').DataTable({
		"processing": true,
		"serverSide": true,
		"order": [],
		"ajax":{
			url:"csr_fetch.php",
			type:"POST"
		},
		"columnDefs":[
			{
				"target":[1,2,3,4,5],
				"orderable":false
			}
		],
	"language": {
					"info": "_START_-_END_ of _TOTAL_ entries",
					searchPlaceholder: "Search"
				},
				"lengthMenu": [[10, 25, 50, -1], [10, 25, 50, "All"]],
				
				"pageLength": 25
	});
	
	
	$(document).on('click', '.delete', function(){
		var sr_id = $(this).attr("id");
		
		var btn_action = "delete";
		if(confirm("Are you sure you want delete it permanently?"))
		{
			$.ajax({
				url:"csr_action.php",
				method:"POST",
				data:{sr_id:sr_id, btn_action:btn_action},
				success:function(data)
				{
					$('#alert_action').fadeIn().html('<div class="alert alert-info">'+data+'</div>');
					_dataTable.ajax.reload();
				}
			})
		}
		else
		{
			return false;
		}
	});
});
	  
</script>
<?php
//include('footer.php');
?>
